summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2016-08-02 22:51:37 +0200
committerMatthias Maier <tamiko@gentoo.org>2016-08-02 23:12:29 -0500
commit4f6a9afae77301532c82db0dfd39b10eb050b7cf (patch)
treecf82aae9bf13e09664754cdd551b3621e09585d3 /sci-calculators/qalculate-gtk/qalculate-gtk-0.9.9.ebuild
parentsci-libs/libqalculate: version bump (diff)
downloadgentoo-4f6a9afae77301532c82db0dfd39b10eb050b7cf.tar.gz
gentoo-4f6a9afae77301532c82db0dfd39b10eb050b7cf.tar.bz2
gentoo-4f6a9afae77301532c82db0dfd39b10eb050b7cf.zip
sci-calculators/qalculate-gtk: version bump
* EAPI=6 Package-Manager: portage-2.3.0 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
Diffstat (limited to 'sci-calculators/qalculate-gtk/qalculate-gtk-0.9.9.ebuild')
-rw-r--r--sci-calculators/qalculate-gtk/qalculate-gtk-0.9.9.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/sci-calculators/qalculate-gtk/qalculate-gtk-0.9.9.ebuild b/sci-calculators/qalculate-gtk/qalculate-gtk-0.9.9.ebuild
new file mode 100644
index 00000000000..d4c047585c2
--- /dev/null
+++ b/sci-calculators/qalculate-gtk/qalculate-gtk-0.9.9.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnome2
+
+DESCRIPTION="Modern multi-purpose calculator"
+HOMEPAGE="https://qalculate.github.io/"
+SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="gnome"
+
+RDEPEND=">=sci-libs/libqalculate-0.9.9:=
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ app-text/rarian
+ sys-devel/gettext
+ dev-util/intltool
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.9.9-entry.patch"
+)
+
+src_prepare() {
+ # Required by src_test() and `make check`
+ echo data/periodictable.ui > po/POTFILES.skip || die
+
+ gnome2_src_prepare
+}